# Summary
* [Introduction](intro.md)
    * [Threat Model](threat-model.md)
    * [Selecting a Quorum](selecting-quorum.md)
    * [Software](software.md)
    * [Hardware](hardware.md)
    * [Glossary](glossary.md)

* [Preparations]()
    * [Repeat Use]()
        * [Flash PureBoot to Librem](flash-pureboot-firmware.md)
        * [Initialize PureBoot Smart Card](initialize-pureboot-smart-card.md)
        * [Change Smart Card PINs](setting-smart-card-pins.md)
        * [PureBoot Restricted Boot](enable-pure-boot-restricted-boot.md)
        * [AirgapOS Setup](repeat-use-airgapos.md)
        * [`autorun.sh` Setup](autorun-sh-setup.md)
        * [Secure Boot Sequence](secure-boot-sequence.md)
        * [Selecting Locations](locations.md)

    * [One Time Use]()
        * [Procure Hardware](one-time-use-hardware-procurement.md)
        * [AirgapOS Setup](one-time-use-airgapos.md)
        * [Repository Setup](one-time-repository-setup.md)
        * [Selecting Locations](one-time-use-locations.md)

* [Key Ceremonies]()
    * [Ceremony Log Template](ceremony-log-template.md)
    * [Root Entropy Ceremonies](core-key-ceremonies.md)
        * [Local Key Provisioning](local-key-provisioning.md)
        * [Hybrid Key Provisioning](hybrid-key-provisioning.md)
        * [Remote Key Provisioning](remote-key-provisioning.md)

    * [Additional Key Ceremonies]()
        * [Operator Key Provisioning](operator-key-provisioning.md)
        * [Location Key Provisioning](location-key-provisioning.md)

    * [Post Ceremony]()
        * [Online Artifact Storage](public-ceremony-artifact-storage.md)
        * [Physical Artifact Storage](physical-artifact-storage.md)

* [Lifecycle Management]()
    * [Destroying Hardware](hardware-destruction.md)
    * [Storage Device Management](storage-device-management.md)